#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-IeWakhb3P7w8p3B5gI4O6b
key:                  hoogle-5.0.18.4-IeWakhb3P7w8p3B5gI4O6b
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  279ebd7bfd57f161d3d30a51864df993
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-IeWakhb3P7w8p3B5gI4O6b
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-FZiRXTXSsGZ9xX5Wd8RRwa
    aeson-2.1.2.1-7MxCVi0kerx5YLDSk2pLUu base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.1.2-HaKQvzhQnpBFoHAvD3ha93
    blaze-markup-0.8.3.0-KQTuvxmnzOiwuOy2JEzer bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.5-LloaTX3XTonCMTqxjFyITj
    conduit-extra-1.3.6-LEnB9jEsP327dg5JWzsMOP containers-0.6.5.1
    crypton-connection-0.3.2-9KzeJWNyXCBKnR0BnLnTY9 deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.14-6ECMKZmdBCZCQG42VBZGH0
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    haskell-src-exts-1.23.1-7pI9mgFOriPBpdSkEbBhCA
    http-conduit-2.3.8.3-2cPKDDGW4iz1LIX8vy3QCM
    http-types-0.12.3-7JWRluasvw7H51ApZSD2uB
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-CmSDjMzEVjd14GsfkOLN8p
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-IMRvIQRh2L8LDz5jGFchi5
    resourcet-1.2.6-Eh9ERdfgEXDnlhBOVqt0T
    safe-0.3.21-IV9JEOqgAPW5kBnD5FFjUK
    storable-tuple-0.1-3wgfpjrDWNg2D7C7HCuGLL
    tar-0.5.1.1-3tDEHFHWvsFJbzFCROVxZJ template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-C2iksnRs4Af7w8GQenmUgF
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    vector-0.13.1.0-AXstUsf4rEVFm5YPigldNP
    wai-3.2.4-50ldy2bzzWeGf6jgC1yqEF
    wai-logger-2.4.0-1gFaRstmh3DCNRFIAUaQa
    warp-3.3.30-IDGOMgnZ7DPC9zqUDOOtGr
    warp-tls-3.4.4-90Awn5QxpnWI4lJsEERXPa
    zlib-0.6.3.0-CuOfmwU5jk1K3ZSakxXyEL

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

